import { Body, Controller, Delete, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { LocationPageCmsService } from "./location-page-cms.service";
import { UpdateLocationPageCmsDto } from "./dto/update-location-page-cms.dto";

@Controller({ path: "location-page-cms", version: Constants.API_VERSION_1 })

export class LocationPageCmsController {
  constructor(private readonly service: LocationPageCmsService) {
  }

  @Post()
  @HttpCode(HttpStatus.OK)
  @UseGuards(AdminAuthGuard)
  updateOrCreateData(
    @Body() dto: UpdateLocationPageCmsDto
  ) {
    return this.service.updateOrCreateData(dto);
  }

  @Get()
  // @UseGuards(AdminAuthGuard)
  findAll() {
    return this.service.findAll();
  }

  @Delete()
  @UseGuards(AdminAuthGuard)
  async remove() {
    return await this.service.remove();
  }
}
