import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { NewsletterComponentUiService } from "./newsletter-component-ui.service";
import { UpdateNewsletterComponentUiDto } from "./dto/update-newsletter-component-ui.dto";

@Controller({ path: "newsletter-component-ui", version: Constants.API_VERSION_1 })

export class NewsletterComponentUiController {
  constructor(private readonly service: NewsletterComponentUiService) {
  }

  @Post()
  @HttpCode(HttpStatus.OK)
  @UseGuards(AdminAuthGuard)
  updateOrCreateData(
    @Body() dto: UpdateNewsletterComponentUiDto
  ) {
    return this.service.updateOrCreateData(dto);
  }

  @Get()
  // @UseGuards(AdminAuthGuard)
  findAll() {
    return this.service.findAll();
  }
}
