import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { PrivacyPolicyPageComponentUiService } from "./privacy-policy-page-component-ui.service";
import { UpdatePrivacyPolicyPageComponentUiDto } from "./dto/update-privacy-policy-page-component-ui.dto";

@Controller({ path: "privacy-policy-page-component-ui", version: Constants.API_VERSION_1 })

export class PrivacyPolicyPageComponentUiController {
  constructor(private readonly service: PrivacyPolicyPageComponentUiService) {
  }

  @Post()
  @HttpCode(HttpStatus.OK)
  @UseGuards(AdminAuthGuard)
  updateOrCreateData(
    @Body() dto: UpdatePrivacyPolicyPageComponentUiDto
  ) {
    return this.service.updateOrCreateData(dto);
  }

  @Get()
  // @UseGuards(AdminAuthGuard)
  findAll() {
    return this.service.findAll();
  }
}
