import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "../users/user.repository";
import { SiteSocialLinksController } from "./site-social-links.controller";
import { SiteSocialLinksRepository } from "./site-social-links.repository";
import { SiteSocialLinksService } from "./site-social-links.service";

@Module({
  imports: [
    JwtModule.registerAsync({
      useClass: JwtConfigService
    }),
    TypeOrmModule.forFeature([UsersRepository]),
    TypeOrmModule.forFeature([SiteSocialLinksRepository])
  ],
  controllers: [SiteSocialLinksController],
  providers: [SiteSocialLinksService, JwtHelper]
})
export class SiteSocialLinksModule {
}
